### Constructor

# Gsk.CairoNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_cairo_node_new (
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a `GskRenderNode` that will render a cairo surface into the area given by `bounds`.

You can draw to the cairo surface using `gsk_cairo_node_get_draw_context()`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| the rectangle to render to
| Ownership is not transferred to the callee

#### Return value

Returns: `GskCairoNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller